Your API key. Create one in Ocoya. Authorization: Bearer <key> works too.
API Reference
Create a scheduled or a draft post
Returns an id of the post
Create a scheduled or a draft post
curl --request POST \
--url https://www.app.ocoya.com/api/_public/v1/post \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"caption": "Happy new year everyone!",
"mediaUrls": [
"https://yourmediaurl.com"
],
"socialProfileIds": [
"clh49poxf008x8kov4ncbjty9"
],
"scheduledAt": "2024-01-01T00:00:00Z",
"options": {
"facebook": {
"type": "reel"
},
"instagram": {
"type": "reel"
},
"tiktok": {
"privacyLevel": "PUBLIC_TO_EVERYONE",
"allowComment": true
}
}
}
'{
"postGroupId": "cmajvvb9q0003ja5vh0538j6r"
}Authorizations
Body
application/json
Connected social profile IDs that should receive the post. Get IDs from GET /social-profiles.
Was this page helpful?